#### D.4.5.1 curveDeltaInv

Procedure from library `curveInv.lib` (see curveInv_lib).

Usage:
  curveDeltaInv(I); I ideal

Assume:
  I is a radical ideal, dim(R/I) = 1

Return:
  the delta invariant of R/I

Note:
  - output -1 means: delta invariant is infinite
  - the optional parameter can be used if the normalization has already been computed. If a list L contains the output of the procedure normal (with options prim, wd and usering if the ring has a mixed ordering), apply curveDeltaInv(I,L)

Example:

    LIB "curveInv.lib";
    ring R = 0,(x,y,z),ds;
    ////////////////////////////
    // Finite delta invariant //
    ////////////////////////////
    ideal I = x2y-y2z,x2-y2+z2;
    curveDeltaInv(radical(I));
    ==> 9
    //////////////////////////////
    // Infinite delta invariant //
    //////////////////////////////
    ideal J = xyz;
    curveDeltaInv(radical(J));
    ==> -1

See also: curveConductorMult; curveDeligneNumber.

User manual for Singular version 4.4.1, 2025, generated by texi2html.